Bug 486357 - Update to 3.5 (Galileo)
Update to 3.5 (Galileo)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On: 486358 486360
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 09:07 EST by Andrew Overholt
Modified: 2009-09-22 11:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 11:55:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2009-02-19 09:07:40 EST
As per https://fedoraproject.org/wiki/Eclipse#Plans , we'd like to be able to
do an upgrade to the Galileo version of this Eclipse plugin in the Fedora 11
timeframe (post-GA but pre-F12).  This is a bug to remember to do this but will
also be used as a point off of which we can hang any issues and dependencies we
need to deal with.
Comment 1 Andrew Overholt 2009-02-19 09:44:02 EST
It looks like we'll also need a newer servlet API:

$ cd eclipse35/eclipse/plugins
$ ls -1 | grep -v ^org.eclipse
[...]
javax.servlet_2.5.0.v200806031605.jar
                      ^^^^^
[...]

$ rpm -qa | grep servlet
tomcat5-servlet-2.4-api-5.5.27-6.1.fc10.noarch
                          ^^^
Comment 2 Andrew Overholt 2009-02-19 09:45:14 EST
Here are all of the non-org.eclipse plugins in a recent 3.5 I-build:

$ ls -1 | grep -v ^org.eclipse
com.ibm.icu_4.0.0.v20081201.jar
com.ibm.icu.source_4.0.0.v20081201.jar
com.jcraft.jsch_0.1.37.v200803061811.jar
javax.servlet_2.5.0.v200806031605.jar
javax.servlet.jsp_2.0.0.v200806031607.jar
javax.servlet.jsp.source_2.0.0.v200806031607.jar
javax.servlet.source_2.4.0.v200806031604.jar
org.apache.ant_1.7.1.v20090120-1145
org.apache.ant.source_1.7.1.v20090120-1145.jar
org.apache.commons.codec_1.2.0.v20080530-1550.jar
org.apache.commons.el_1.0.0.v200806031608.jar
org.apache.commons.el.source_1.0.0.v200806031608.jar
org.apache.commons.httpclient_3.1.0.v20080605-1935.jar
org.apache.commons.logging_1.0.4.v20080605-1930.jar
org.apache.commons.logging.source_1.0.4.v20080605-1930.jar
org.apache.jasper_5.5.17.v200806031609.jar
org.apache.jasper.source_5.5.17.v200806031609.jar
org.apache.lucene_1.9.1.v20080530-1600.jar
org.apache.lucene.analysis_1.9.1.v20080530-1600.jar
org.apache.lucene.analysis.source_1.9.1.v20080530-1600.jar
org.apache.lucene.source_1.9.1.v20080530-1600.jar
org.junit_3.8.2.v20080602-1318
org.junit4_4.5.0.v20080911
org.junit4.source_4.5.0.v20080911.jar
org.junit.source_3.8.2.v20080602-1318.jar
org.mortbay.jetty.server_6.1.7.v200806031612.jar
org.mortbay.jetty.server.source_6.1.7.v200806031612.jar
org.mortbay.jetty.util_6.1.7.v200806031612.jar
org.mortbay.jetty.util.source_6.1.7.v200806031612.jar
org.objectweb.asm_3.1.0.v200803061910.jar
org.objectweb.asm.source_3.1.0.v200803061910.jar
org.sat4j.core_2.0.3.v20081021.jar
org.sat4j.pb_2.0.3.v20081021.jar
Comment 3 Bug Zapper 2009-06-09 07:30:56 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Alexander Kurtakov 2009-09-22 11:55:05 EDT
Eclipse 3.5 aka Galileo is in rawhide.

Note You need to log in before you can comment on or make changes to this bug.